Subject: Re: [PATH RFC net-next 7/8] net: phy: Replace phy driver features u32 with link_mode bitmap

From: Andrew Lunn <[email-masked]>
Date: Sun, 16 Sep 2018 19:59:47 +0200

> By that you mean having to determine whether you overflow the
> capacity of an unsigned long storage type and having to put the bits
> in either unsigned long [0] or [1]? Being able to eliminate the
> duplication would also be nice, but I cannot think about a smart
> solution at compile time that would avoid doing that.

Hi Florian

I've given up on doing it at compile time. I'm working on a run-time
solution at the moment, which i think looks better. I will probably
split the patchset. Post for merging all but the last two patches, and
then an RFC for replacing this patch.

    Andrew